#### Fix extra indentation of lines following comments in scss ([#7844](https://github.com/prettier/prettier/pull/7844) by [@boyenn](https://github.com/boyenn))

Previously, Prettier would place extra indentation of lines following comments within SCSS maps
Prettier now no longer places these indentations

<!-- prettier-ignore -->
```css
/* Input */
$my-map: (
  'foo': 1, // Foo
  'bar': 2, // Bar
);

/* Prettier stable */
$my-map: (
  "foo": 1,
  // Foo
    "bar": 2,
  // Bar
);

/* Prettier master */
$my-map: (
  "foo": 1,
  // Foo
  "bar": 2,
  // Bar
);
```
