#### Support record and tuple syntax ([#8453](https://github.com/prettier/prettier/pull/8453) by [@fisker](https://github.com/fisker))

Support Stage-1 proposal [JavaScript Records & Tuples Proposal](https://github.com/tc39/proposal-record-tuple/blob/master/README.md).

_Only support `#[]`/`#{}` syntax, not `{| |}` / `[| |]`._

**Tuples**

<!-- prettier-ignore -->
```js
// Input
#[1, 2, 3]

// Prettier stable
SyntaxError: Unexpected token (1:1)
> 1 | #[1, 2, 3]
    | ^


// Prettier master
#[1, 2, 3];
```

**Records**

<!-- prettier-ignore -->
```js
// Input
#{
  a: 1,
  b: 2,
  c: 3,
}

// Prettier stable
SyntaxError: Unexpected token (1:1)
> 1 | #{
    | ^
  2 |   a: 1,
  3 |   b: 2,
  4 |   c: 3,


// Prettier master
#{
  a: 1,
  b: 2,
  c: 3,
};
```
