#### Quote and unquote number keys ([#8508](https://github.com/prettier/prettier/pull/8508) by [@lydell](https://github.com/lydell))

Prettier removes quotes from object keys if they are identifiers. Now, Prettier also removes quotes from object keys that are numbers.

If you use `quoteProps: "consistent"`, Prettier can also _add_ quotes to number keys so that _all_ properties end up with quotes.

<!-- prettier-ignore -->
```jsx
// Input
x = {
  "a": null,
  "1": null,
};

// Prettier stable
x = {
  a: null,
  "1": null,
};

// Prettier master
x = {
  a: null,
  1: null,
};
```

Prettier only touches “simple” numbers such as `1` and `123.5`. It _won’t_ make the following transformations, as they feel unexpected:

```
1e2 -> "100"
0b10 -> "10"
1_000 -> "1000"
1.0 -> "1"
0.99999999999999999 -> "1"
999999999999999999999 -> "1e+21"
2n -> "2"

"1e+100" -> 1e100
```

(Please don’t use confusing numbers as object keys!)

Note that Prettier only unquotes numbers using the `"babel"` parser. It’s not completely safe to do so in TypeScript.
