#### Add parens when yielding jsx ([#9011](https://github.com/prettier/prettier/pull/9011) by [@fisker](https://github.com/fisker))

In `v2.0.0` we [removed the parens when yielding jsx](https://prettier.io/blog/2020/03/21/2.0.0.html#remove-unnecessary-parens-when-yielding-jsx-7367httpsgithubcomprettierprettierpull7367-by-cola119httpsgithubcomcola119), this works for most parsers, but ESLint throws when parsing it, [related issue](https://github.com/acornjs/acorn-jsx/issues/82).

<!-- prettier-ignore -->
```js
// Input
function* f() {
  yield <div>generator</div>
}

// Prettier stable
function* f() {
  yield <div>generator</div>
}

// Prettier master
function* f() {
  yield (<div>generator</div>);
}
```
