#### Parenthesize string literals to avoid interpreting as directives ([#8422](https://github.com/prettier/prettier/pull/8422) by [@thorn0](https://github.com/thorn0))

Prettier wraps any string literal which is in statement position in parentheses because otherwise such strings would get interpreted as directives if they occurred at the top of a function or program, which can change the behavior of the program. It is not technically necessary to do this for strings which are not on the first line of a function or program. But doing so anyway is more consistent and can highlight bugs. See for example [this thread on twitter](https://twitter.com/dan_abramov/status/874601179334017024).

Previously this didn't consistently work for the `typescript` parser. Only strings already wrapped in parentheses retained them.

<!-- prettier-ignore -->
```ts
// Input
f();
'use foo';
('use bar');

// Prettier stable
f();
"use foo";
("use bar");

// Prettier master
f();
("use foo");
("use bar");
```
